import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "eamlocationstateeditview": {
            "title": "功能位置状态编辑视图",
            "caption": "功能位置状态",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateEditView",
            "viewtag": "0b6fa9e6ebc1f6d1afaf3c19585840b0"
        },
        "appindexview": {
            "title": "应用首页视图",
            "caption": "资产管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Base",
            "viewname": "AppIndexView",
            "viewtag": "D44132B9-5261-4008-A146-6287A80D5D31"
        },
        "eamlocationstategridview": {
            "title": "功能位置状态信息",
            "caption": "功能位置状态",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Location",
            "viewname": "EAMLocationStateGridView",
            "viewtag": "f7c04762f2a3e3026c909e6191a0998f"
        }
    }];
});